<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>
	<!-- external -->
	<!-- link tag is used to link external resources such as css or even fonts -->
	<!-- external css is the best implementation of css, because not only can we style multiple elements in page, we can also style multiple elements in multiple pages. It lessens load time for your HTML and its content. -->
	<link rel="stylesheet" type="text/css" href="./index.css">
	<!-- 
		internal css 
		-apply style to multiple elements in a single page.
	-->
<!-- 	<style type="text/css">
		h1{
			color: pink;
		
		}
	</style> -->
</head>
<body>
	<!-- 
		Inline CSS/Styling
		-implementation of style to an HTML element through style attribute

		Values of style attribute are the properties of an element we can style.

		The value before the colon(:) is the element's property. The property's value is added after the colon

		Syntax:
		<tag style="property:value;">text</tag>

		CSS stylings or rules ends in a semi-colon. Falling to do so makes your CSS erroneous and even affects other properties and rules you may add.

		Longer and bulker code - more prone to errors and html file gets slower to load and display content. It makes your code and HTML take longer to display

		Priority Level:
		Inline CSS > Internal CSS -> External CSS

		!important adds more priority to a declaration
	 -->

	 <!-- navbar -->
	 <nav id="top">
	 	<a href="#landing">Zuitt</a>
	 	<div>
	 		<a href="#landing">Landing</a>
	 		<a href="#register">Register</a>
	 	</div>
	 </nav>
	<h1>Hello World!</h1>
	
	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	<img src="https://place-puppy.com/450x450">
	<!-- class attrb allows us to grp elements and style them together. Any element w/ same class can be styled and designed together -->
	<section id="landing">
		<h2>Welcome to Zuitt!</h2>
	<!-- id attribute allows us to add a unique identifier to particular element -->
	<h3>This is a sample text</h3>
	<img src="https://place-puppy.com/450x450">

	<ol id="bootcamp-learning-list">
		<li class="offering-item">Day Classes</li>
		<li class="offering-item">Night Classes</li>
		<li class="offering-item">Intro to Coding Events</li>
	</ol>
	<!-- You can add an element's id as href for an anchor to be able to navigate to particular element within your page -->
	<a href="#top">Back to Top</a>
	</section>
	<section>
	<h2 id="register">Register</h2>
	<form>
		<label for="first-name">First Name</label>
		<input type="text" id="first-name" required autocomplete>

		<label for="last-name">Last Name</label>
		<input type="text" id="first-name" required autocomplete>

		<label for="email">Email</label>
		<input type="email" id="email" required autocomplete>

		<button type="submit">Apply Now</button>
	</form>

	<a href="#top">Back to Top</a>
</section>
</body>
</html>